# spec file for php-kolab-net-ldap3
#
# Copyright (c) 2015-2019 Remi Collet
# License: CC-BY-SA
# http://creativecommons.org/licenses/by-sa/4.0/
#
# Please, preserve the changelog entries
#

%global git_commit    ec4f0d6918aa
%global git_short     %(c=%{git_commit}; echo ${c:0:7})

Name:           php-kolab-net-ldap3
Version:        1.1.4
Release:        %mkrel 1
Summary:        Advanced functionality for accessing LDAP directories
Group:          Development/PHP
License:        GPLv3+
URL:            http://git.kolab.org/pear/Net_LDAP3/
Source0:        %{name}-%{version}-%{git_short}.tgz
Source1:        makesrc.sh

BuildArch:      noarch

Requires:       php-pear-Net_LDAP2 >= 2.0.12
# From phpcompatinfo report for version 1.1.0
Requires:       php-json
Requires:       php-ldap
Requires:       php-pcre

Provides:       php-kolab-Net_LDAP3 = %{version}-%{release}


%description
A successor of the PEAR:Net_LDAP2 module providing advanced functionality
for accessing LDAP directories.


%prep
%setup -q -n %{name}-%{git_commit}


%build
# Nothing to build


%install
mkdir -p       %{buildroot}%{_datadir}/php
cp -pr lib/Net %{buildroot}%{_datadir}/php/Net


%files
%license LICENSE
%doc composer.json
%{_datadir}/php/Net


%changelog
* Wed Nov 09 2022 neoclust <neoclust> 1.1.4-1.mga9
+ Revision: 1904903
- New version  1.1.4

* Mon Mar 21 2022 umeabot <umeabot> 1.1.3-3.mga9
+ Revision: 1812032
- Mageia 9 Mass Rebuild

* Mon Feb 17 2020 umeabot <umeabot> 1.1.3-2.mga8
+ Revision: 1537292
- Mageia 8 Mass Rebuild

* Tue Oct 29 2019 daviddavid <daviddavid> 1.1.3-1.mga8
+ Revision: 1456465
- new version: 1.1.3

* Mon Sep 02 2019 daviddavid <daviddavid> 1.1.1-1.mga8
+ Revision: 1436335
- new version: 1.1.1

* Mon Jul 01 2019 daviddavid <daviddavid> 1.1.0-1.mga8
+ Revision: 1416924
- new version: 1.1.0

* Wed Mar 27 2019 daviddavid <daviddavid> 1.0.7-1.mga7
+ Revision: 1380676
- fix provides

* Wed Mar 27 2019 daviddavid <daviddavid> 1.0.7-0.1.mga7
+ Revision: 1380670
- imported package php-kolab-net-ldap3

